Loading...
Searching...
No Matches
engine_partitioning_trigger.cpp File Reference
`#include "gridfire/solver/strategies/triggers/engine_partitioning_trigger.h"`
`#include "gridfire/solver/strategies/CVODE_solver_strategy.h"`
`#include "gridfire/trigger/trigger_logical.h"`
`#include "gridfire/trigger/trigger_abstract.h"`
`#include "quill/LogMacros.h"`
`#include <memory>`
`#include <deque>`
`#include <string>`
Include dependency graph for engine_partitioning_trigger.cpp:

## Namespaces

namespace | gridfire
namespace | gridfire::trigger
namespace | gridfire::trigger::solver
namespace | gridfire::trigger::solver::CVODE

## Functions

std::unique_ptr< Trigger< gridfire::solver::CVODESolverStrategy::TimestepContext > > | gridfire::trigger::solver::CVODE::makeEnginePartitioningTrigger (const double simulationTimeInterval, const double offDiagonalThreshold, const double timestepCollapseRatio, const size_t maxConvergenceFailures)
| Compose a trigger suitable for deciding engine re-partitioning during CVODE solves.